# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::FileStreamOutput Class Reference

`#include <pic_io.h>`

Inheritance diagram for dirac::FileStreamOutput:

[legend]
Collaboration diagram for dirac::FileStreamOutput:

[legend]

List of all members.

## Public Member Functions

- FileStreamOutput (const char *output_name, const SeqParams &sp)
    Constructor.
- virtual ~FileStreamOutput ()
    Destructor.

## Protected Member Functions

- virtual bool OpenYUV (const char *output_name)
    Open picture's YUV data file for output.

## Detailed Description

Outputs pictures to a file

## Constructor & Destructor Documentation

dirac::FileStreamOutput::FileStreamOutput | ( | const char * | output_name,
|  | const SeqParams & | sp |
| ) |  |  |

Constructor, takes

Parameters:

  | output_name | the name of the output file
  | sp | the sequence parameters

virtual dirac::FileStreamOutput::~FileStreamOutput | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool dirac::FileStreamOutput::OpenYUV | ( | const char * | output_name | ) | `[protected, virtual]`

The documentation for this class was generated from the following file:

- pic_io.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.